Subject: bug#76546: 30.1; Native compilation is corrupting lambdas/closures stored in variables after some time

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 May 2025 12:31:24 +0300

Ping!  Any further information or ideas that could allow us to make
progress here?

> From: Christian Johansson <[email-masked]>
> Date: Sat, 26 Apr 2025 15:09:07 +0200
> Cc: [email-masked], [email-masked]
> 
> Yes maybe, it was apparent from the error message that the function had unexpected data and trying to print it crashed Emacs.. I will check for an old log
> 
> But this error has been present for many years so it is not a new thing, I solved it by not byte compilling some files
> 
> > Eli Zaretskii <[email-masked]> kirjoitti 2025-04-26 kello 13.45:
> > 
> > 
> >> 
> >> Cc: [email-masked], [email-masked]
> >> Date: Tue, 15 Apr 2025 11:38:34 +0300
> >> From: Eli Zaretskii <[email-masked]>
> >> 
> >>> From: Christian Johansson <[email-masked]>
> >>> Date: Tue, 15 Apr 2025 09:58:07 +0200
> >>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >>> 
> >>> I have one issue that is reproducible but only after a couple of days of Emacs running and exahausting the memory, in that case the lambda stored in variable becomes binary and printing it crashes Emacs
> >> 
> >> If the value cannot be printed, how do you know that it is binary?
> >> 
> >> Could you perhaps run Emacs under GDB, so that when this happens, you
> >> could show the value and perhaps invoke some other commands we would
> >> like you to try and show the results?
> > 
> > Ping!  Any further information or progress with this?
>